cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Creo Elements/Pro 5.0 import support CATIA V5R22

Creo Elements/Pro 5.0 import support CATIA V5R22

For the latest Creo Elements/Pro 5.0 M190, import support CATIA up to V5 R19 only.

Information from TS, Creo 2.0 M060 import support CATIA V5 R22.  As you know, most of users are still using Creo Elements/Pro 5.0 instead of Creo 2.0.

So please add Creo Elements/Pro 5.0 import support CATIA V5 R22 too. Thanks.

1 Comment
Community Manager
Status changed to: Archived